CFlagString Class Reference

`#include <mia/core/flagstring.hh>`

## Data Structures

struct | Table

## Public Member Functions

| CFlagString (const Table table[])
int | get (const std::string &flags) const
const std::string | get (int flags) const
const std::string | get_flagnames () const

## Detailed Description

Definition at line 31 of file flagstring.hh.

## Constructor & Destructor Documentation

## CFlagString()

CFlagString::CFlagString | ( | const Table | table[] | ) |

## Member Function Documentation

## get() [1/2]

int CFlagString::get | ( | const std::string & | flags | ) | const

## get() [2/2]

const std::string CFlagString::get | ( | int | flags | ) | const

## get_flagnames()

const std::string CFlagString::get_flagnames | ( |  | ) | const

The documentation for this class was generated from the following file:

- flagstring.hh